/* KMPS.h
 *
 * Copyright (C) 2024 OpenKylin, Inc
 */

#ifndef __KMPS_H__
#define __KMPS_H__

#include <memory>

#include "app/KMSubCommand.h"

/**
 * @brief ``kaiming ps`` 命令可以查看运行中的应用。
 */
class KMPS : public KMSubCommand
{
    DECLARE_DYNCREATE(KMPS);

public:
    KMPS();
    virtual ~KMPS();

    int despose(int argc, char **argv) override;

protected:
private:
    class Private;
    std::shared_ptr<Private> m_dPtr;
};

#endif // __KMPS_H__