/* KMKill.h
 *
 * Copyright (C) 2024 OpenKylin, Inc
 */

#ifndef __KMKILL_H__
#define __KMKILL_H__

#include <memory>

#include "app/KMSubCommand.h"

/**
 * @brief ``kaiming kill`` 命令可以强制退出运行的应用。
 */
class KMKill : public KMSubCommand
{
    DECLARE_DYNCREATE(KMKill);

public:
    KMKill();
    virtual ~KMKill();

    int despose(int argc, char **argv) override;

private:
    class Private;
    std::shared_ptr<Private> m_dPtr;
};

#endif // __KMKILL_H__